net.sourceforge.pmd.util

## Class TypeMapTest

- java.lang.Object
- - net.sourceforge.pmd.util.TypeMapTest

    public class TypeMapTest
    extends Object

Evaluates all major functionality of the TypeMap class.

Author:
  Brian Remedios

### Constructor Summary

Constructors
Constructor and Description
`TypeMapTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testAddClassOfQ()`
`void` `testContainsClassOfQ()`
`void` `testContainsString()`
`void` `testSize()`
`void` `testTypeFor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TypeMapTest

    public TypeMapTest()

### Method Detail

#### testAddClassOfQ

    public void testAddClassOfQ()

#### testContainsClassOfQ

    public void testContainsClassOfQ()

#### testContainsString

    public void testContainsString()

#### testTypeFor

    public void testTypeFor()

#### testSize

    public void testSize()

#### suite

    public static junit.framework.Test suite()